Developers

API access

Programmatic access for scenario exploration and branch drill-down.

Access

Who this is for

API access is available on Pro and Enterprise plans.

Endpoint

Explore a scenario

POST https://nervousai-api.onrender.com/agents/explore
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json

{
  "prompt": "China invades Taiwan"
}

Returns

Explore response

{
  "prompt": "...",
  "title": "...",
  "branches": [],
  "slug": "..."
}

Endpoint

Drill into a branch

POST https://nervousai-api.onrender.com/agents/drill
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json

{
  "prompt": "China invades Taiwan",
  "branch_id": "branch_id_from_explore",
  "branch_label": "Branch label",
  "branch_detail": "Branch detail text"
}

Endpoint

Fetch a saved prediction

GET https://nervousai-api.onrender.com/agents/p/{slug}
Authorization: Bearer YOUR_API_KEY